%define oname   escape_utils

Name:       ruby-%{oname}
Version:    0.2.3
Release:    %mkrel 1
Summary:    Faster string escaping routines for your web apps
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/brianmario/escape_utils
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rspec)
BuildRequires: ruby-devel
Requires:   ruby(abi) = 1.8

%description
Faster string escaping routines for your web apps

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/%{oname}/*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

mkdir -p %{buildroot}%{ruby_sitearchdir}/%{oname}
mv %{buildroot}%{ruby_sitearchdir}/%{oname}{.so,}

%check
rspec -Ilib -I%{buildroot}%{ruby_sitearchdir} --format p --color spec

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 0.2.3-1.mga1
+ Revision: 86542
- New version 0.2.3
- add check section
- move so file in the right place

* Thu Feb 03 2011 shikamaru <shikamaru> 0.1.9-1.mga1
+ Revision: 46641
- imported package ruby-escape_utils


* Thu Feb 03 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.1.9-1
- Initial package
